////////////////////
//Name: scr_get_coord_char()
//Args: 0 (number to convert from 0-255)
//Return: String containing the coordinate representation of the input or ?? if invalid
////////////////////

//vars
var digit, hex_char;

//get first digit
digit = argument0 div 16;

//return ?? if higher than 15
if(digit > 15){
  return "??";
}

//convert first digit
switch(digit){
  case 0: hex_char = "A"; break;
  case 1: hex_char = "B"; break;
  case 2: hex_char = "C"; break;
  case 3: hex_char = "D"; break;
  case 4: hex_char = "E"; break;
  case 5: hex_char = "F"; break;
  case 6: hex_char = "G"; break;
  case 7: hex_char = "H"; break;
  case 8: hex_char = "I"; break;
  case 9: hex_char = "J"; break;
  case 10: hex_char = "K"; break;
  case 11: hex_char = "L"; break;
  case 12: hex_char = "M"; break;
  case 13: hex_char = "N"; break;
  case 14: hex_char = "O"; break;
  case 15: hex_char = "P"; break;
  default: return "??";
}

//get second digit
digit = argument0 - (16 * (argument0 div 16));

//convert second digit
switch(digit){
  case 0: hex_char += "1"; break;
  case 1: hex_char += "2"; break;
  case 2: hex_char += "3"; break;
  case 3: hex_char += "4"; break;
  case 4: hex_char += "5"; break;
  case 5: hex_char += "6"; break;
  case 6: hex_char += "7"; break;
  case 7: hex_char += "8"; break;
  case 8: hex_char += "9"; break;
  case 9: hex_char += "10"; break;
  case 10: hex_char += "11"; break;
  case 11: hex_char += "12"; break;
  case 12: hex_char += "13"; break;
  case 13: hex_char += "14"; break;
  case 14: hex_char += "15"; break;
  case 15: hex_char += "16"; break;
  default: return "??";
}

return hex_char;
